## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ProblemListenerDefault Class Reference

The implementation of the default error handling for Xalan. More...

Inheritance diagram for ProblemListenerDefault:

[legend]
Collaboration diagram for ProblemListenerDefault:

[legend]
List of all members.

## Public Member Functions

- ProblemListenerDefault (MemoryManagerType &theManager, PrintWriter *pw=0)
- virtual ~ProblemListenerDefault ()
- virtual void setPrintWriter (PrintWriter *pw)
    Set the print writer to which the problem is reported.
- virtual void problem (eProblemSource where, eClassification classification, const XalanNode *sourceNode, const ElemTemplateElement *styleNode, const XalanDOMString &msg, const XalanDOMChar *uri, int lineNo, int charOffset)
    Function that is called when a problem event occurs.
- PrintWriter * getPrintWriter () const

## Static Public Member Functions

- void problem (PrintWriter &pw, eProblemSource where, eClassification classification, const XalanNode *sourceNode, const ElemTemplateElement *styleNode, const XalanDOMString &msg, const XalanDOMChar *uri, int lineNo, int charOffset)

## Detailed Description

The implementation of the default error handling for Xalan.

## Constructor & Destructor Documentation

ProblemListenerDefault::ProblemListenerDefault | ( | MemoryManagerType & | theManager,
|  | PrintWriter * | pw = 0
| ) |

virtual ProblemListenerDefault::~ProblemListenerDefault | ( |  | ) | `[virtual]`

## Member Function Documentation

PrintWriter* ProblemListenerDefault::getPrintWriter | ( |  | ) | const

void ProblemListenerDefault::problem | ( | PrintWriter & | pw,
|  | eProblemSource | where,
|  | eClassification | classification,
|  | const XalanNode * | sourceNode,
|  | const ElemTemplateElement * | styleNode,
|  | const XalanDOMString & | msg,
|  | const XalanDOMChar * | uri,
|  | int | lineNo,
|  | int | charOffset
| ) | `[static]`

virtual void ProblemListenerDefault::problem | ( | eProblemSource | where,
|  | eClassification | classification,
|  | const XalanNode * | sourceNode,
|  | const ElemTemplateElement * | styleNode,
|  | const XalanDOMString & | msg,
|  | const XalanDOMChar * | uri,
|  | int | lineNo,
|  | int | charOffset
| ) | `[virtual]`

Function that is called when a problem event occurs.

Parameters:

  where | either in XMLPARSER, XSLPROCESSOR, or QUERYENGINE
  classification | either MESSAGE, ERROR or WARNING
  sourceNode | source tree node where the problem occurred (may be 0)
  styleNode | style tree node where the problem occurred (may be 0)
  msg | string message explaining the problem.
  uri | the URI of the document where the problem occurred. May be 0.
  lineNo | line number where the problem occurred.
  charOffset | character offset where the problem.

Implements ProblemListener.

virtual void ProblemListenerDefault::setPrintWriter | ( | PrintWriter * | pw | ) | `[virtual]`

Set the print writer to which the problem is reported.

Parameters:

  pw | writer to receive messages

Implements ProblemListener.

The documentation for this class was generated from the following file:

- ProblemListenerDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.